<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__customc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_customc_config_t</compoundname>
    <includes local="no">cy_ble_custom.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__customc__config__t_1aec03bf7eace0d4a5af3154bff3014b06" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__customc__t">cy_stc_ble_customc_t</ref> *</type>
        <definition>const cy_stc_ble_customc_t* cy_stc_ble_customc_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>Structure with Discovered Attributes Information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="137" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="137" />
      </memberdef>
      <memberdef id="structcy__stc__ble__customc__config__t_1ab6a1e43a66627e0fcf6b0192962be62e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_customc_config_t::serviceCount</definition>
        <argsstring />
        <name>serviceCount</name>
        <briefdescription>
<para>The number supported Custom Services as client. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="140" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="140" />
      </memberdef>
      <memberdef id="structcy__stc__ble__customc__config__t_1ad590d7642ed9f51584420279b1c5813d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_customc_config_t::serviceDiscIdx</definition>
        <argsstring />
        <name>serviceDiscIdx</name>
        <briefdescription>
<para>The Discovery Service index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="143" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="143" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service Configuration structure (client) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="392">
        <label>cy_stc_ble_customc_desc_t</label>
        <link refid="structcy__stc__ble__customc__desc__t" />
      </node>
      <node id="389">
        <label>cy_stc_ble_customc_config_t</label>
        <link refid="structcy__stc__ble__customc__config__t" />
        <childnode refid="390" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
      <node id="390">
        <label>cy_stc_ble_customc_t</label>
        <link refid="structcy__stc__ble__customc__t" />
        <childnode refid="391" relation="usage">
          <edgelabel>customServChar</edgelabel>
        </childnode>
      </node>
      <node id="391">
        <label>cy_stc_ble_customc_char_t</label>
        <link refid="structcy__stc__ble__customc__char__t" />
        <childnode refid="392" relation="usage">
          <edgelabel>customServCharDesc</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="145" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="134" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="135" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__customc__config__t_1aec03bf7eace0d4a5af3154bff3014b06" virt="non-virtual"><scope>cy_stc_ble_customc_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__customc__config__t_1ab6a1e43a66627e0fcf6b0192962be62e" virt="non-virtual"><scope>cy_stc_ble_customc_config_t</scope><name>serviceCount</name></member>
      <member prot="public" refid="structcy__stc__ble__customc__config__t_1ad590d7642ed9f51584420279b1c5813d" virt="non-virtual"><scope>cy_stc_ble_customc_config_t</scope><name>serviceDiscIdx</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>